/* eslint-disable import/prefer-default-export */
import { useApolloClient } from '@apollo/client';
import { useQueryClient } from '@tanstack/react-query';
import { useStore } from 'stores/hooks';
import { trpcPureClient } from 'trpc/client';
import injectDefaultReactions from './default';

export function useReactions() {
  const store = useStore();
  const apolloClient = useApolloClient();
  const queryClient = useQueryClient();

  injectDefaultReactions({
    store,
    apolloClient,
    queryClient,
    trpcClient: trpcPureClient,
  });
}
